public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-terms/kitty/files/, x11-terms/kitty/
Date: Sat, 17 Oct 2020 14:04:48 +0000 (UTC)	[thread overview]
Message-ID: <1602943477.bd64e0c05ca2a06a1fdb61faa019d1be8970eae5.juippis@gentoo> (raw)

commit:     bd64e0c05ca2a06a1fdb61faa019d1be8970eae5
Author:     Pablo <pord <AT> tuta <DOT> io>
AuthorDate: Wed Oct 14 19:08:36 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Oct 17 14:04:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd64e0c0

x11-terms/kitty: bump to 0.19.1 and fix tests

Signed-off-by: Pablo Orduna <pabloorduna98 <AT> gmail.com>
Closes: https://bugs.gentoo.org/747004
Closes: https://bugs.gentoo.org/743076
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-terms/kitty/Manifest                       |   1 +
 x11-terms/kitty/files/kitty-0.19.1-tests.patch |  11 +++
 x11-terms/kitty/kitty-0.19.1.ebuild            | 105 +++++++++++++++++++++++++
 3 files changed, 117 insertions(+)

diff --git a/x11-terms/kitty/Manifest b/x11-terms/kitty/Manifest
index 4fc88074c08..f0519148934 100644
--- a/x11-terms/kitty/Manifest
+++ b/x11-terms/kitty/Manifest
@@ -4,3 +4,4 @@ DIST kitty-0.17.4.tar.xz 3068456 BLAKE2B 7c3be1bd9e1be814ca2c98ac8bed5c8ac906021
 DIST kitty-0.18.1.tar.xz 3098940 BLAKE2B c54f9e7996e8e17182d5cdb3f915964b2626985992dc9f8bf2f11d086475fd7b13ee131aaf942f521cd6356ac13f7efdf436253237022532ffc68cb7923bc645 SHA512 d1870fa8c1c42c9a20251ba7819fb649760a98070653cff6bbc0ef86160d6b20070bbfe4e549b80d75d7a78b37cb3c1153e4be246709cf630129cd4d09a76604
 DIST kitty-0.18.2.tar.xz 3100228 BLAKE2B ac7c1c6dc9ced4f8ca59c9a9a9ff2d0c6410bbed64efc8528a899b5b55ad008e65bed6ef1b1fdb74da6b4df2ccef63e1d64ffc375ad225243999bcbb2c1378ec SHA512 12b17f241884347e841b597cc86ac7dec9f509350af33de4e790f586b1cb8a5b89222f25f710f1f5ab82ea09cb1c7b0fa9ffee869cbae497e2a2ab0c6ef1b5a0
 DIST kitty-0.18.3.tar.xz 3107268 BLAKE2B 5a81552d59f5232253c0c23a9a4eb88950a5d6e9c3ca69412ca7d56d521cb69f424461df2718774489de42c78de8253d2336e4bf7f352b488364fe30f418b0c4 SHA512 77636c4d1c21157e86cae3a88bca8b161207c1f1112ce60d11d04e79cf6e8ed331085f99e0caa20b7b4f297d8bf193aeb7afa8679c871085cc9d328ed8da3ad7
+DIST kitty-0.19.1.tar.xz 3262516 BLAKE2B 82520e79125483a9e3b6592bdf38e782231934214a989fe44ad6c587a025338a98f1d09219a315dfbffc8264be5f5b2352db457b5e11edc2d08af594989a8092 SHA512 3a61d15598f32634646cbf0be596e9023420452130be1b9a718d2ce7daf3edeee6d2ba3abfe91c768758b043ed46423a2382680f9dd65fd6a6c57dbcd0fc1fd3

diff --git a/x11-terms/kitty/files/kitty-0.19.1-tests.patch b/x11-terms/kitty/files/kitty-0.19.1-tests.patch
new file mode 100644
index 00000000000..ee489b0dce3
--- /dev/null
+++ b/x11-terms/kitty/files/kitty-0.19.1-tests.patch
@@ -0,0 +1,11 @@
+--- a/kitty/constants.py
++++ b/kitty/constants.py
+@@ -64,7 +64,7 @@
+ def kitty_exe() -> str:
+     rpath = sys._xoptions.get('bundle_exe_dir')
+     if not rpath:
+-        items = os.environ.get('PATH', '').split(os.pathsep) + [os.path.join(base, 'launcher')]
++        items = os.environ.get('PATH', '').split(os.pathsep) + [os.path.join(base, '../linux-package/bin')]
+         seen: Set[str] = set()
+         for candidate in filter(None, items):
+             if candidate not in seen:

diff --git a/x11-terms/kitty/kitty-0.19.1.ebuild b/x11-terms/kitty/kitty-0.19.1.ebuild
new file mode 100644
index 00000000000..f8561302ddf
--- /dev/null
+++ b/x11-terms/kitty/kitty-0.19.1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit optfeature python-single-r1 toolchain-funcs xdg
+
+if [[ ${PV} == "9999" ]] ; then
+	EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="A modern, hackable, featureful, OpenGL-based terminal emulator"
+HOMEPAGE="https://github.com/kovidgoyal/kitty"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug wayland"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	media-libs/fontconfig
+	media-libs/freetype:2
+	>=media-libs/harfbuzz-1.5.0:=
+	media-libs/libcanberra
+	media-libs/libpng:0=
+	sys-apps/dbus
+	sys-libs/zlib
+	x11-libs/libxcb[xkb]
+	x11-libs/libXcursor
+	x11-libs/libXi
+	x11-libs/libXinerama
+	x11-libs/libxkbcommon[X]
+	x11-libs/libXrandr
+	x11-terms/kitty-terminfo
+	wayland? (
+		dev-libs/wayland
+		>=dev-libs/wayland-protocols-1.17
+	)
+	$(python_gen_cond_dep 'dev-python/importlib_resources[${PYTHON_USEDEP}]' python3_6)
+"
+
+DEPEND="${RDEPEND}
+	media-libs/mesa[X]
+	sys-libs/ncurses
+"
+
+BDEPEND="virtual/pkgconfig"
+
+[[ ${PV} == *9999 ]] && BDEPEND+=" >=dev-python/sphinx-1.7"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-0.17.2-flags.patch
+	"${FILESDIR}"/${PN}-0.14.4-svg-icon.patch
+	"${FILESDIR}"/${PN}-0.16.0-remove-terminfo.patch
+	"${FILESDIR}"/${PN}-0.19.1-tests.patch
+)
+
+src_prepare() {
+	default
+
+	# disable wayland as required
+	if ! use wayland; then
+		sed -i "/'x11 wayland'/s/ wayland//" setup.py || die
+	fi
+
+	# respect doc dir
+	sed -i "/htmldir =/s/appname/'${PF}'/" setup.py || die
+
+	tc-export CC
+}
+
+src_compile() {
+	"${EPYTHON}" setup.py \
+		--verbose $(usex debug --debug "") \
+		--libdir-name $(get_libdir) \
+		linux-package || die "Failed to compile kitty."
+}
+
+src_test() {
+	export KITTY_CONFIG_DIRECTORY=${T}
+	"${EPYTHON}" test.py || die
+}
+
+src_install() {
+	insinto /usr
+	doins -r linux-package/*
+	dobin linux-package/bin/kitty
+	python_fix_shebang "${ED}"
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	optfeature "Displaying images in the terminal" virtual/imagemagick-tools
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+}


             reply	other threads:[~2020-10-17 14:04 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-17 14:04 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-16  7:25 [gentoo-commits] repo/gentoo:master commit in: x11-terms/kitty/files/, x11-terms/kitty/ Ionen Wolkens
2023-12-12 21:25 Ionen Wolkens
2023-07-14  9:32 Ionen Wolkens
2022-09-08 18:23 Ionen Wolkens
2021-11-10 10:59 Ionen Wolkens
2021-07-14  6:25 Joonas Niilola
2021-06-01  0:02 Sam James
2021-05-10  8:06 Joonas Niilola
2021-05-10  8:06 Joonas Niilola
2021-02-02 13:08 Joonas Niilola
2020-03-20 14:30 Joonas Niilola
2020-03-14 12:07 Joonas Niilola
2020-02-05  9:09 Tim Harder
2020-01-14 14:23 Joonas Niilola
2019-06-15 21:27 Tim Harder
2019-06-08  4:31 Matthew Thode
2019-01-06  2:56 Tim Harder
2018-06-21 18:02 Tim Harder
2018-05-07  6:29 Tim Harder
2018-02-05 12:18 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1602943477.bd64e0c05ca2a06a1fdb61faa019d1be8970eae5.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox